Subject: Re: [PATCH v3 4/4] revision: avoid hitting packfiles when commits are in commit-graph

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Aug 2021 14:56:49 -0700

Patrick Steinhardt <[email-masked]> writes:

> I wonder what our stance on this is. I can definitely understand the
> angle that this would be a deal breaker given that we now claim commits
> exist which don't anymore.

An optimization that produces a wrong result very fast is a useless
optimization that has no place in our codebase.  But don't we have
some clue recorded in the commit graph file that tells us with what
packfile the graph is to be used (iow, if the named packfile still
exists there, the objects recorded in the graph file are to be found
there) or something?